%define upstream_name    Config-Model-OpenSsh
%define upstream_version 1.219

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    OpenSsh configuration files editor and API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose)
BuildRequires: perl(Config::Model) >= 1.265.0
BuildRequires: perl(Log::Log4perl) >= 1.110.0
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module provides a configuration model for OpenSsh. Then Config::Model
provides a graphical editor program for _/etc/ssh/sshd_config_ and
_/etc/ssh/ssh_config_. See the config-edit-sshd manpage and the
config-edit-ssh manpage for more help.

This module and Config::Model can also be used to modify safely the content
for _/etc/ssh/sshd_config_, _/etc/ssh/ssh_config_ or _~/.ssh/config_ from
Perl programs.

Once this module is installed, you can run (as root, but please backup
/etc/X11/xorg.conf before):

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc ChangeLog LICENSE META.yml MYMETA.yml README TODO demo
#{_bindir}/config-edit-ssh
#{_bindir}/config-edit-sshd
#{_mandir}/man1/config-edit-ssh.1*
#{_mandir}/man1/config-edit-sshd.1*
%{_mandir}/man3/*
%{perl_vendorlib}/Config

%changelog

* Fri Dec 09 2011 kharec <kharec> 1.219.0-1.mga2
+ Revision: 179416
- update to 1.219

  + jquelin <jquelin>
    - update to 1.218

* Wed Jun 15 2011 jquelin <jquelin> 1.217.0-1.mga2
+ Revision: 106542
- update to 1.217

* Mon Apr 11 2011 jquelin <jquelin> 1.216.0-1.mga1
+ Revision: 83345
- update to 1.216
- update to 1.215

* Wed Mar 09 2011 jquelin <jquelin> 1.214.0-1.mga1
+ Revision: 66932
- update to 1.214

* Wed Mar 02 2011 jquelin <jquelin> 1.213.0-1.mga1
+ Revision: 62528
- update to 1.213

* Sat Feb 26 2011 jquelin <jquelin> 1.212.0-1.mga1
+ Revision: 60672
- update to 1.212
- mageia rebuild
- imported package perl-Config-Model-OpenSsh

